Bug 865123 - Ability for a user to request "Resend confirmation email"
Ability for a user to request "Resend confirmation email"
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 17:13 EDT by Sumana Annam
Modified: 2015-05-14 21:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 10:49:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sumana Annam 2012-10-10 17:13:44 EDT
Description of problem:

User registers on the OpenShift, but 

1) Does not confirm email verification on time OR
2) Never receives confirmation email and tries to login/reset password. This leads to "The supplied login or password was invalid".

Current solution:

- User would have to send an email to openshift@redhat.com
- Customer enablement team works with streamline who in turn files
a ticket with ASM. ASM provides a confirmation URL.
- URL goes back to user for their verification.

Proposed solution:

The above can be tackled by implementing any of the below or if you have better solution, we are all ears. Goal is to make it smooth for the users.

- Put a link to "resend confirmation email". Pretty much similar to Red Hat Customer portal. OR
- When a user tries to sign up with the same username, check for email verification flag and resend the confirmation email automatically. OR
- When a user tries to reset the password, check for email verification flag and include the confirmation email link either in the "reset password email" template or "resend the confirmation email" template.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Clayton Coleman 2012-10-15 10:49:45 EDT
This is covered by story https://rally1.rallydev.com/#/3680153498d/detail/userstory/7699483189 in the IT teams backlog.

Note You need to log in before you can comment on or make changes to this bug.